#!/bin/bash -e

iwd_target_filename="z_svr_hns.iwd"

if [ -z "${WORKSPACE}" ]; then
	export WORKSPACE="$(pwd)"
fi

iwd_files()
{
	find "${WORKSPACE}/" -type f \
		! -path "*.git*" \
		! -name "README*" \
		! -name "mod.*" \
		! -name "_modversion.gsc" \
		! -name "missingasset.csv" \
		! -name "*.md" \
		! -name "*.log*" \
		! -path "*/demos/**" \
		! -name "*.sh" \
		! -name "*.bat" \
		! -name "*.cmd" \
		! -name "*.iwd" |\
		sed "s;${WORKSPACE}/;;g"
}

iwd_filelist="$(mktemp)"
iwd_files > "$iwd_filelist"

modversion_txt_file="maps/mp/mods/_modversion.gsc"
echo "getModVersionString(){return \"$(git describe --tags --always --dirty)\";}" > "$modversion_txt_file"
echo "$modversion_txt_file" >> "$iwd_filelist"

rm -f "${iwd_target_filename}"
7z a -tzip -mx9 "${iwd_target_filename}" @"$iwd_filelist"

rm -f "$iwd_filelist" "$modversion_txt_file"
